CSM-1B
Unganisha
csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sw/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
}
Piga modeli ya CSM-1B (csm-1b) kupitia Doitong API. Nyaraka za mawakala: https://doitong.com/sw/developers/models/csm-1b.md
POST https://api.doitong.ru/v1/run/csm-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}
Ikiwa hali ya jibu ni "queued" au "running", piga GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 mara kwa mara hadi iwe "succeeded"; faili ziko kwenye outputs[].url. POST https://api.doitong.ru/v1/quote/csm-1b yenye mwili uleule hurejesha bei kamili kabla ya kuendesha.
Ombi hili: ≈$ 0.03 salio za API 30 · ≈ ₽ 3.16 Iendeshe kwenye ukurasa huu
Ufunguo wako mpya wa API. Inaonyeshwa sasa tu na tayari iko kwenye msimbo na katika sehemu ya ufunguo wa API hapa chini. Iweke siri: usiwahi kuiweka kwenye msimbo unaoendeshwa kwenye kivinjari.
Tokeo lako la kwanza linaonekana hapa
Unda ombi hapa chini na uliendeshe kwa ufunguo wako wa API. Matokeo yanakiliwa kwenye hifadhi yetu, yakihifadhiwa milele au 7 siku bila malipo.
Unda ombi
Vidhibiti vinazalishwa kutoka kwenye schema ya modeli. Msimbo na bei husasishwa unapovibadilisha.
/run/csm-1b?wait=20
makadirio → $ 0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'\''m great, so happy to be speaking to you."
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/csm-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing.",
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good.",
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you.",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/csm-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "csm-1b",
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"wait_seconds": 20
}
}
}
Endesha ombi hili
Key yako inabaki kwenye kivinjari hiki: inatumwa kwa Doitong API pekee na kuhifadhiwa (localStorage) tu ukiweka tiki kwenye Kumbuka. Pata ufunguo wa API
Kuhusu CSM-1B
Huzalisha hotuba kutoka `scene` inayohitajika, safu ya vitu vyenye maandishi ya kutamkwa. Safu ya hiari ya `context` hutoa zamu za awali za mazungumzo ili kuunda uwasilishaji. Matokeo ni sauti moja. Umeundwa kwa hotuba ya mtindo wa mazungumzo.
Vigezo
sceneinahitajika
scene[].speaker_idinahitajika
scene[].textinahitajika
contextsi lazima
context[].promptinahitajika
context[].speaker_idinahitajika
context[].audio_urlinahitajika
Tokeo
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "csm-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 30,
"usd": "0.03",
"charged": 30,
"refunded": 0
},
"input": {
"scene": [
{
"speaker_id": 0,
"text": "Hey how are you doing."
},
{
"speaker_id": 1,
"text": "Pretty good, pretty good."
},
{
"speaker_id": 0,
"text": "I'm great, so happy to be speaking to you."
}
]
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Sehemu za tokeo
- audio
- object {url, content_type, file_name, file_size} | stringSauti iliyotolewa na modeli.
Miundo zaidi: Maandishi hadi Matamshi
Kwa mawakala wa AI: ukurasa huu katika Markdown unapatikana kwenye https://doitong.com/sw/developers/models/csm-1b.md. Modeli na miongozo yote: https://doitong.com/developers/llms.txt